from errno import EEXIST
from os.path import split
from os import makedirs
def bfs11360(path):
  bfs11354 = []
  while True:
    (path, bfs11356) = split(path)
    if (bfs11356 != ''):
      bfs11354.append(bfs11356)
    else:
      if (path != ''):
        bfs11354.append(path)

      break


  return list(reversed(bfs11354))

def bfs11357(path):
  try:
    makedirs(path)
  except OSError, exception:
    if (exception.errno != EEXIST):
      raise 



